<form (ngSubmit)="update(form.value)" [formGroup]="form">
  <mat-form-field>
    <mat-select (selectionChange)="change($event)" formControlName="payment_method" placeholder="Moyen de paiement">
      <mat-option value="1">CB</mat-option>
      <mat-option value="2">Espèces</mat-option>
      <mat-option value="3">Chèque</mat-option>
      <mat-option disabled value="4">En ligne</mat-option>
    </mat-select>
  </mat-form-field>
  <br/>
  <button *ngIf="showButton" color="primary" mat-raised-button type="submit">Enregistrer</button>
</form>
